# -*- coding: utf-8 -*-
"""
Created on Fri May 27 11:42:03 2022

@author: Bruno
"""
import numpy as np
import matplotlib.pyplot as plt

# Mesure

u = 2.34 #volt
i = 0.065 # A

# Entrez les incertitudes types et précisions

uu = 0.05 # V
ui = 0.0015 # A

Deltau=uu*np.sqrt(3)
Deltai=ui*np.sqrt(3)

# Entrez la fonction de composition

def division(a,b):
    return a/b

# Entrez le nombre de simulation que vous voulez effectuer

N = 5000

# Calculs avec une distribution de probabilité uniforme
Resistance = []

for j in range(0,N):
    a = np.random.uniform(u-Deltau,u+Deltau)
    b = np.random.uniform(i-Deltai,i+Deltai)
    Resistance.append(division(a,b))

plt.figure(1)
plt.hist(Resistance,bins = 'rice')
plt.title('Résultat du tirage aléatoire après simulation')
plt.xlabel("Resistance' (ohm)")
plt.show()

# Calcul et affichage moyenne et écart type

moy = np.mean(Resistance)
std = np.std(Resistance,ddof=1)

print("Moyenne = {:.2f} ohm".format(moy))
print("Ecart type = {:.2f} ohm".format(std))


